### Signal

# Soup WebsocketConnection::error

#### Declaration

    void
    error (
      SoupWebsocketConnection* self,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Emitted when an error occurred on the WebSocket.

This may be fired multiple times. Fatal errors will be followed by the `SoupWebsocketConnection::closed` signal being emitted.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`error`

  Type: `GError`

  The error that occured.

  The data is owned by the caller of the function.